@mixin buttonStyle {
    font-weight: $font-semibold;
    border: 1px solid $c0;
    border-radius: $sp-12;
    padding: $sp-4 $sp-20;
}

@mixin input {
    padding: $sp-3 $sp-6;
    border: 1px solid $c7;
    border-radius: $sp-12;
}

@mixin i {
    position: absolute;
    margin: $sp-3 $sp-2;
    color: $c0;
}

@mixin footer-a {
    text-decoration: none;
    color: $c3;
    line-height: 3;
    padding: 0px 0px $sp-3;
    font-size: $text-sm;

    &:hover {
        opacity: 0.8;
    }
}

@mixin footer-li {
    list-style-type: none;
    border-bottom: 1px solid $c4-500;
}

@mixin animation {
    margin-left: $sp-10;
    animation: fadeIn 1s linear 0s;
    transform: translateX(-100%);
    animation-fill-mode: both;
    opacity: 1;
}